import {checkToken, createToken, getAuthUUID} from "@/api/AIStation/token.js";
import store from "@/store/index.js";


// 获取AI无人站的token
export function handleGetAIToken() {
    console.log('1111111111111111111111111111111111111111')
    const AIToken = localStorage.getItem('AIToken')
    if(AIToken) {
        //有存储token判断token有没有过期
        // 检验token是否过期
        checkToken(AIToken).then(res => {
            if(res.data === false) {
                // token过期
                getToken()
            }
        })
    }else {
        // 没有token的话获取存储token
        getToken()
    }
}

function getToken() {
    const userInfo = store.getters.getUserInfo();
    const userName = userInfo.userName
    const userId = userInfo.userId
    const params = {
        username: userName
    }
    // 通过userName获取uuid
    getAuthUUID(params).then(res => {
        const uuid = res.data
        const params ={
            userId: userId,
            username: userName,
            uuid: uuid,
        }
        // 通过userId，username，uuid获取token
        createToken(params).then(res => {
            const token = res.data
            localStorage.setItem('AIToken',token)
        })
    })
}
